<template>
  <!-- section:custom_content -->
  <v-dialog 
    v-model="visible" 
    persistent 
    max-width="500px">
    <v-card>
      <v-card-title class="headline error-text">Are you sure you want to remove this file?</v-card-title>
            
      <v-card-actions>
        <v-spacer/>
        <v-btn 
          color="blue darken-1" 
          flat 
          @click.native="close">Cancel</v-btn>
        <v-btn 
          color="error" 
          flat 
          @click.native="submit">Remove</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
  <!-- endsection:custom_content -->
</template>

<script>
import {bus} from '@js/bus'

export default {

	data() {
		return {
			visible: false,
			data: {
				id: null
			}
		}
	},

	created() {
		bus.$on('remove-file', this.show)
	},

	beforeDestroy() {
		bus.$off('remove-file', this.show)
	},

	methods: {
		show(data) {
			this.data = data
			this.visible = true
		},

		submit() {
			this.$emit('submit', this.data)
			this.close()
		},

		close() {
			this.visible = false
		}
	},


}
</script>